Subject: Perserving permissions?

From: Jeff Garzik <[email-masked]>
Date: Sat, 25 Mar 2006 05:48:11 -0500

I just started using git to maintain some of my server config files. 
Leagues better than subversion, which I was previously using, but git 
still suffers from a key problem that subversion also has:  lack of 
permission preservation.

I understand that versioning permissions might be a big request, but 
what about simply storing the permissions at 'git add' time, to be used 
at checkout time?

Right now I have to do 'git pull ; ./fix-perms' each time I update.

	Jeff